#include <sta/rtos/mutex.hpp>


namespace sta
{
	RtosMutex::RtosMutex(osMutexId_t * handle)
		: handle_{handle}
	{}

	void RtosMutex::acquire()
	{
		osMutexAcquire(*handle_, osWaitForever);
	}

	void RtosMutex::release()
	{
		osMutexRelease(*handle_);
	}
} // namespace sta
